Skip to main content
GET
/
v4
/
templates
/
{templateId}
/
workflows
List template workflows
curl --request GET \
  --url https://api.kadoa.com/v4/templates/{templateId}/workflows \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.kadoa.com/v4/templates/{templateId}/workflows"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.kadoa.com/v4/templates/{templateId}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": false,
  "data": [
    {
      "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowName": "<string>",
      "templateVersion": 123,
      "isOutdated": true,
      "state": "<string>",
      "isRealTime": true
    }
  ]
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

templateId
string<uuid>
required

Template ID

Response

200

Response for listing workflows created from a template

error
enum<boolean>
required

Error flag (always false on success)

Available options:
false
data
object[]
required

Workflows linked to this template